package org.maskat.demo.databinding.vd_bt8.vo;

import java.io.BufferedReader;
import java.io.IOException;
import javax.servlet.http.HttpServletRequest;
import org.maskat.demo.AbstractValueObj;

public class ValueObj extends AbstractValueObj {

  public ValueObj(HttpServletRequest req) {
    super(req);

    try {
      BufferedReader reader = new BufferedReader(req.getReader());
      String line = null;
      String xml = "";
      while ((line = reader.readLine()) != null) {
        xml += line;
      }
      System.out.println(xml);
    } catch (IOException e) {
      e.printStackTrace();
      return;
    }

  }

  public String tempGetXML() {
    return "<?xml version=\"1.0\" encoding=\"UTF-8\"?><maskat></maskat>";
  }

}
